{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}

{% block content %}
<div class="panel panel-inverse miselector" data-sortable-id="table-basic-4" >
  <!-- begin panel-heading -->

  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>  
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>      
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de planes.</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body miselector">
    <div class="row">
      <div class="column" style="width: 85%">
        <div id="buttons_plan">
          <div class="btn-group m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear un Plan</a></div>
          <div class="btn-group m-b-10"> <a href="#modal-create-type" class="btn btn-sm btn-info" data-toggle="modal">Crear tipo plan</a>
          </div>
        </div>
        <div id="buttons_utp_plan" style="display: none;">
          <div class="btn-group m-b-10"> <a href="#modal-create_utp" class="btn btn-sm btn-success" data-toggle="modal">Crear un Plan</a></div>
          <div class="btn-group m-b-10"> <a href="#modal-create-type_utp" class="btn btn-sm btn-info" data-toggle="modal">Crear tipo plan</a>
          </div>
        </div>
      </div>
      <div class="column" style="width: 10%">
        <div class="btn-group" align="left">
            <button type="button" class="btn btn-default" data-toggle="tab" id="buttonUTP">UTP</button>
            <button type="button" class="active btn btn-default" data-toggle="tab" id="buttonFibra">Fibra</button>
        </div>
      </div>
    </div>
    <!-- begin table-responsive for Plan-->
    <div class="table-responsive" id="div_table_plan">
      <table class="table" id="table_plan">
        <thead>
          <tr>
            <th nowrap="">Id</th>
            <th nowrap="">Operador</th>
            <th nowrap="">Nombre</th>
            <th nowrap="">Tipo</th>
            <th nowrap="">Velocidad de bajada</th>
            <th nowrap="">Velocidad de subida</th>
            <th nowrap="">Tasa de agregación</th>
            <th nowrap="">UTP Profile</th>
            <th nowrap="">ID matrix</th>
            <th nowrap="">Botones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <div class="table-responsive" style="display: none;" id="div_table_utp_plan">
      <table class="table" id="table_utp_plan">
        <thead>
          <tr>
            <th nowrap="">Id</th>
            <th nowrap="">Operador</th>
            <th nowrap="">Nombre</th>
            <th nowrap="">Tipo</th>
            <th nowrap="">Velocidad de bajada</th>
            <th nowrap="">Velocidad de subida</th>
            <th nowrap="">Tasa de agregación</th>
            <th nowrap="">UTP Profile</th>
            <th nowrap="">ID matrix</th>
            <th nowrap="">Botones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Plan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_plan"></div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="matrix_plan">Plan matrix</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="matrix_plan">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="type_plan">Tipo de plan</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="type_plan">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="speeds_system_download">Velocidad descarga sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="speeds_system_download">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="speeds_system_upload">Velocidad subida sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="speeds_system_upload">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="operator">Operador</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="operator">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="name" placeholder="Nombre del plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="download_speed">Velocidad bajada</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="download_speed" placeholder="Velocidad bajada" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="upload_speed">Velocidad subida</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="upload_speed" placeholder="Velocidad subida" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="aggregation_rate">Tasa agregacion</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="aggregation_rate" placeholder="Tasa de agregacion" data-parsley-required="true" required="false"/>
          </div>
        </div>   



      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newPlan()">Crear Plan</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-edit">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar Plan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_plan"></div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="matrix_plan_edit">Plan matrix</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="matrix_plan_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="type_plan_edit">Tipo de plan</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="type_plan_edit">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="speeds_system_download_edit">Velocidad descarga sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="speeds_system_download_edit">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="speeds_system_upload_edit">Velocidad subida sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="speeds_system_upload_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="operator_edit">Operador</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="operator_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name_edit">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="name_edit" placeholder="Nombre del plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="download_speed_edit">Velocidad bajada</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="download_speed_edit" placeholder="Velocidad bajada" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="upload_speed_edit">Velocidad subida</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="upload_speed_edit" placeholder="Velocidad subida" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="aggregation_rate_edit">Tasa agregacion</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="aggregation_rate_edit" placeholder="Tasa de agregacion" data-parsley-required="true" required="false"/>
          </div>
        </div>   



      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="editPlanPerform()">Editar Plan</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-create-type">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Tipo Plan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_type_plan"></div>

        <div class="form-group row">
          <label class="col-md-4 col-sm-4 col-form-label" for="name_type_plan">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="name_type_plan" placeholder="Nombre del tipo plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <button type="button" class="btn float-right m-b-10 m-l-10 btn-primary" onclick="newTypePlan()">Crear tipo Plan</button>        
        <a href="javascript:;" class="btn float-right m-b-10 m-l-10 btn-white" data-dismiss="modal">Close</a> &nbsp;


        </div>   

      </div>

      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create_utp">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Plan UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_plan"></div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_matrix_plan">Plan matrix</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_matrix_plan">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_type_plan">Tipo de plan</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_type_plan">
            </select>
          </div>
        </div> 

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_profile">UTP profile</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_profile">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_operator">Operador</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_operator">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_name">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_name" placeholder="Nombre del plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_aggregation_rate">Tasa agregacion</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_aggregation_rate" placeholder="Tasa de agregacion" data-parsley-required="true" required="false"/>
          </div>
        </div>   



      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newPlanUTP()">Crear Plan</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-edit_utp">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar Plan UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_plan"></div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_matrix_plan_edit">Plan matrix</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_matrix_plan_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_type_plan_edit">Tipo de plan</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_type_plan_edit">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_speeds_system_download_edit">Velocidad descarga sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_speeds_system_download_edit">
            </select>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_speeds_system_upload_edit">Velocidad subida sistema</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_speeds_system_upload_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_operator_edit">Operador</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="utp_operator_edit">
            </select>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_name_edit">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_name_edit" placeholder="Nombre del plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_download_speed_edit">Velocidad bajada</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_download_speed_edit" placeholder="Velocidad bajada" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_upload_speed_edit">Velocidad subida</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_upload_speed_edit" placeholder="Velocidad subida" data-parsley-required="true" required="false"/>
          </div>
        </div>   

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_aggregation_rate_edit">Tasa agregacion</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_aggregation_rate_edit" placeholder="Tasa de agregacion" data-parsley-required="true" required="false"/>
          </div>
        </div>   



      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="editPlanUTPPerform()">Editar Plan</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-create-type_utp">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Tipo Plan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_type_plan"></div>

        <div class="form-group row">
          <label class="col-md-4 col-sm-4 col-form-label" for="utp_name_type_plan">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="utp_name_type_plan" placeholder="Nombre del tipo plan" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <button type="button" class="btn float-right m-b-10 m-l-10 btn-primary" onclick="newTypePlanUTP()">Crear tipo Plan UTP</button>        
        <a href="javascript:;" class="btn float-right m-b-10 m-l-10 btn-white" data-dismiss="modal">Close</a> &nbsp;


        </div>   

      </div>

      </form>
    </div>
  </div>
</div>
{% endblock content %}    

{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/imask/imask.4.1.5.min.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/plan_list.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}
